// 导入library文件夹下的所有组件
// 批量导入需要使用一个函数 require.context(dir,deep,matching)
// 参数：1. 目录  2. 是否加载子目录  3. 加载的正则匹配
const modules = import.meta.glob("./*/index.vue");
// 匹配到的文件名数组
// console.log('查看匹配到的文件名数组', importFn.keys())
export default {
  install(app: any) {
    // 批量注册全局组件
    // 遍历文件名数组
    for (const path in modules) {
      modules[path]().then((mod) => {
        app.component(path.split('/')[1], mod.default);
      });
    }
  },
};
